Bug 856742 - SSO: Login to Virtual Terminal with in-correct kerberos password, enter user id again throws pam_pkcs11 error
SSO: Login to Virtual Terminal with in-correct kerberos password, enter user ...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: gdm (Show other bugs)
6.3
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Ray Strode [halfline]
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-12 13:41 EDT by Asha Akkiangady
Modified: 2017-05-08 15:06 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-05-08 15:06:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Asha Akkiangady 2012-09-12 13:41:37 EDT
Description of problem:
SSO: Login to Virtual Terminal with in-correct kerberos password, enter user id again throws pam_pkcs11 error.

Version-Release number of selected component (if applicable):
gdm-2.30.4-33.el6_2.x86_64
authconfig-6.1.12-10.el6.x86_64
pam_pkcs11-0.6.2-12.1.el6.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Authentication is configured as:
Use smart card: ON Enforce smart card: OFF Log out behaviour configured to:
Activate screen saver. 

2. System is configured to login with a smart card. Configured to perform pkinit to get Kerberos credential and ldap authentication. A smart card is enrolled for this user.

3. Restart the desktop.

5. This user is not in /etc/passwd file, but exists in ldap db. 

4. User logs in using the tty virtual terminal screen e.g. <ctrl> + <alt> +
<F2>. User types correct user id. 

5. The user is prompted for their kerberos password. Type something random.

6. Login incorrect message displayed, login prompt is re-displayed.

7. Type correct user id.
  
Actual results:
A message "ERROR:pam_pkcs11.c:310: load_pkcs11_module() failed:" displayed and ask for password.

Typing the correct password let the user log in successfully.


Expected results:
Error message should not be displayed. It should ask for password when user id is entered.

Additional info:
/var/log/secure has this:
Sep 12 13:41:00 dhcp231-57 login: argument card_only is not supported by this module
Sep 12 13:41:02 dhcp231-57 login: pam_unix(login:auth): authentication failure; logname=LOGIN uid=0 euid=0 tty=tty2 ruser= rhost=  user=kdcuser
Sep 12 13:41:02 dhcp231-57 login: pam_krb5[2574]: authentication fails for 'kdcuser' (kdcuser@EXAMPLE.COM): Authentication failure (Decrypt integrity check failed)
Sep 12 13:41:05 dhcp231-57 login: FAILED LOGIN 1 FROM (null) FOR kdcuser, Authentication failure
Sep 12 13:41:07 dhcp231-57 login: argument card_only is not supported by this module
Sep 12 13:41:07 dhcp231-57 login: pam_pkcs11(login:auth): load_pkcs11_module() failed: 
Sep 12 13:41:13 dhcp231-57 login: pam_krb5[2574]: error reading keytab 'FILE:/etc/krb5.keytab'
Sep 12 13:41:13 dhcp231-57 login: pam_krb5[2574]: TGT verified
Sep 12 13:41:13 dhcp231-57 login: pam_krb5[2574]: authentication succeeds for 'kdcuser' (kdcuser@EXAMPLE.COM)
Sep 12 13:41:14 dhcp231-57 login: pam_unix(login:session): session opened for user kdcuser by LOGIN(uid=0)
Sep 12 13:41:14 dhcp231-57 login: LOGIN ON tty2 BY kdcuser
Comment 2 RHEL Product and Program Management 2012-12-14 03:07:16 EST
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.

Note You need to log in before you can comment on or make changes to this bug.